Summary:        Utilities for mounting and managing CIFS mounts
Name:           cifs-utils
Version:        6.13
Release:        1%{?_dist_release}
Group:          system,network
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv3
URL:            https://wiki.samba.org/index.php/LinuxCIFS_utils
Source0:        https://download.samba.org/pub/linux-cifs/cifs-utils/cifs-utils-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libcap-devel libcap-ng-devel krb5-devel
BuildRequires:  keyutils-libs-devel libwbclient-devel
BuildRequires:  autoconf automake
Requires:       keyutils

%description
The SMB/CIFS protocol is a standard file sharing protocol widely deployed
on Microsoft Windows machines. This package contains tools for mounting
shares on Linux using the SMB/CIFS protocol. The tools in this package
work in conjunction with support in the kernel to allow one to mount a
SMB/CIFS share onto a client and use it as if it were a standard Linux
file system.


%debug_package


%prep
%setup -q -n %{name}-%{version}


%build
autoreconf -ivf
%configure --prefix=/usr
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_mandir}/man{1,8}

make install DESTDIR=%{buildroot} ROOTSBINDIR=/sbin mandir=%{_mandir}

rm -rf %{buildroot}%{_mandir}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README doc/*
/sbin/*
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/*
%{_libdir}/cifs-utils


%changelog
* Wed May 05 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.13-1
- new upstream release.

* Wed Sep 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.11-1
- new upstream release.

* Mon Mar 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.10-1
- new upstream release.

* Tue Aug 19 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.4-1
- new upstream release

* Wed Jan 08 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.2-2
- rebuilt with current environment.

* Wed Oct 09 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.2-1
- new upstream release

* Tue Feb 19 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 5.9-1
- new upstream release

* Mon Dec 17 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.8-1
- new upstream release.

* Sat Apr 14 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3-1
- new upstream release.

* Thu Mar 24 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.9-2
- initial build for Vine Linux.

* Fri Mar 04 2011 Jeff Layton <jlayton@redhat.com> 4.9-1
- update to 4.9

* Tue Feb 08 2011 Jeff Layton <jlayton@redhat.com> 4.8.1-4
- mount.cifs: reenable CAP_DAC_READ_SEARCH when mounting (bz# 675761)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Jeff Layton <jlayton@redhat.com> 4.8.1-2
- mount.cifs: don't update mtab if it's a symlink (bz# 674101)

* Fri Jan 21 2011 Jeff Layton <jlayton@redhat.com> 4.8.1-1
- update to 4.8.1

* Sat Jan 15 2011 Jeff Layton <jlayton@redhat.com> 4.8-1
- update to 4.8

* Tue Oct 19 2010 Jeff Layton <jlayton@redhat.com> 4.7-1
- update to 4.7

* Fri Jul 30 2010 Jeff Layton <jlayton@redhat.com> 4.6-1
- update to 4.6

* Tue Jun 01 2010 Jeff Layton <jlayton@redhat.com> 4.5-2
- mount.cifs: fix parsing of cred= option (BZ#597756)

* Tue May 25 2010 Jeff Layton <jlayton@redhat.com> 4.5-1
- update to 4.5

* Thu Apr 29 2010 Jeff Layton <jlayton@redhat.com> 4.4-3
- mount.cifs: fix regression in prefixpath patch

* Thu Apr 29 2010 Jeff Layton <jlayton@redhat.com> 4.4-2
- mount.cifs: strip leading delimiter from prefixpath

* Wed Apr 28 2010 Jeff Layton <jlayton@redhat.com> 4.4-1
- update to 4.4

* Sat Apr 17 2010 Jeff Layton <jlayton@redhat.com> 4.3-2
- fix segfault when address list is exhausted (BZ#583230)

* Fri Apr 09 2010 Jeff Layton <jlayton@redhat.com> 4.3-1
- update to 4.3

* Fri Apr 02 2010 Jeff Layton <jlayton@redhat.com> 4.2-1
- update to 4.2

* Tue Mar 23 2010 Jeff Layton <jlayton@redhat.com> 4.1-1
- update to 4.1

* Mon Mar 08 2010 Jeff Layton <jlayton@redhat.com> 4.0-2
- fix bad pointer dereference in IPv6 scopeid handling

* Wed Mar 03 2010 Jeff Layton <jlayton@redhat.com> 4.0-1
- update to 4.0
- minor specfile fixes

* Fri Feb 26 2010 Jeff Layton <jlayton@redhat.com> 4.0-1rc1
- update to 4.0rc1
- fix prerelease version handling

* Mon Feb 08 2010 Jeff Layton <jlayton@redhat.com> 4.0a1-1
- first RPM package build

